This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 641217

Summary: No sound after resume from sleep - 2.6.35.4-28.fc14.i686
Product: [Fedora] Fedora Reporter: Scott Dowdle <dowdle>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: Amir.Aavani, danielwhogan.junk, dougsland, ekremoner, feanor, gansalmon, itamar, jonathan, jose.simonelli, julianokyap, kernel-maint, madhu.chinakonda, mathieu-acct, maurizio.antillon, pjsanon, sgireeshmail, tarkatronic, tomas.ostlund42, yochaigal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-10 10:57:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
output from dmesg none

Description Scott Dowdle 2010-10-07 23:35:47 EDT
Created attachment 452255 [details]
output from dmesg

I'm running the Fedora 14 beta with all updates applied.  The kernel is 2.6.35.4-28.fc14.i686.  The netbook is an Acer Aspire One D150.  I have run Fedora 11, 12, and 13 on it without any issues.  Now if I put it to sleep, sound will not work once I resume it.  The hardware is as follows:

[dowdle@netbook ~]$ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)

Also the performance of Fedora 14 beta is noticeably slower but I assume that is because the kernel has a lot of debugging features turned on... and that the performance will improve once the release kernel is available.

I have rebooted a few times, done a few sleeps and resumes and it is reproducible.  Attached is output from dmesg.
Comment 1 Scott Dowdle 2010-10-17 16:17:04 EDT
Just wanted to mention that the problem is still there with the newer kernel: 2.6.35.6-39.fc14.i686

A side effect of no sound after resume appears to be that KDE will no longer let me logout, reboot, or shutdown... because I think it is blocking on the sound it plays when one of those is chosen and the confirmation dialog never appears.  I simulate logout with ALT-Control-Backspace and reboot with "shutdown -r now" as root.  Not fun.
Comment 2 Scott Dowdle 2010-11-02 12:05:55 EDT
I am still experiencing this regression even on the latest Fedora 14 kernel:

kernel-2.6.35.6-48.fc14.i686
Comment 3 Gireesh Sreekantan 2010-11-03 13:46:49 EDT
I am facing a similar issue on a Thinkpad SL410 laptop which uses the latest kernel 2.6.35.6-48.fc14.i686. The problem is not KDE specific as I was able to reproduce it on GNOME and LXDE also. 

After a hibernate/resume, totem and other media players are stuck at 0 seconds and don't move. However, after killing pulseaudio and starting again, the player seems to work but there is no sound output.

I suspected the snd-hda-intel module and tried to forcibly unload it before hibernate but the pm-hibernate log shows the module couldn't be unloaded. 

With gnome atleast, after a hibernate/resume, I lose the shutdown option in the shutdown dialog. I've to either logout and shutdown or do a poweroff command.

Will be happy to provide any additional information required.
Comment 4 Gireesh Sreekantan 2010-11-03 13:49:46 EDT
My audio device:
--------------
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

pm-hibernate log:
-----------------
 Wed Nov  3 12:15:20 IST 2010: Running hooks for hibernate.
/usr/lib/pm-utils/sleep.d/00logging hibernate hibernate:Linux gigi-laptop 2.6.35.6-48.fc14.i686 #1 SMP Fri Oct 22 15:34:36 UTC 2010 i686 i686 i386 GNU/Linux
Module                  Size  Used by
fuse                   51432  3 
sunrpc                165482  1 
cpufreq_ondemand        7262  2 
acpi_cpufreq            6277  1 
mperf                   1141  1 acpi_cpufreq
ip6t_REJECT             3470  2 
nf_conntrack_ipv6      14441  2 
ip6table_filter         1207  1 
ip6_tables              9929  1 ip6table_filter
ipv6                  229420  28 ip6t_REJECT,nf_conntrack_ipv6
uinput                  5228  0 
snd_hda_codec_intelhdmi     8713  1 
snd_hda_codec_realtek   210495  1 
snd_hda_intel          20083  2 
arc4                    1085  2 
snd_hda_codec          71701  3 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel
ecb                     1595  2 
uvcvideo               48373  0 
snd_hwdep               4795  1 snd_hda_codec
microcode              11139  0 
snd_seq                43447  0 
snd_seq_device          5056  1 snd_seq
snd_pcm                61769  2 snd_hda_intel,snd_hda_codec
videodev               34991  1 uvcvideo
r8169                  31745  0 
v4l1_compat            11382  2 uvcvideo,videodev
mii                     3578  1 r8169
iwlagn                173978  0 
iTCO_wdt                8960  0 
serio_raw               3589  0 
i2c_i801                9016  0 
joydev                  7270  0 
iwlcore               160590  1 iwlagn
iTCO_vendor_support     2070  1 iTCO_wdt
thinkpad_acpi          56217  0 
snd_timer              15435  2 snd_seq,snd_pcm
mac80211              188441  2 iwlagn,iwlcore
snd                    47357  14 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,thinkpad_acpi,snd_timer
soundcore               5088  1 snd
cfg80211              110779  3 iwlagn,iwlcore,mac80211
rfkill                 13652  2 thinkpad_acpi,cfg80211
snd_page_alloc          6180  2 snd_hda_intel,snd_pcm
jmb38x_ms               9732  0 
memstick                7463  1 jmb38x_ms
wmi                     6667  0 
sdhci_pci               6246  0 
sdhci                  15685  1 sdhci_pci
mmc_core               53138  1 sdhci
i915                  241359  2 
drm_kms_helper         22088  1 i915
drm                   139250  3 i915,drm_kms_helper
i2c_algo_bit            4197  1 i915
i2c_core               21328  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  17730  1 i915
output                  1625  1 video
             total       used       free     shared    buffers     cached
Mem:       1925024    1348104     576920          0      69396     951556
-/+ buffers/cache:     327152    1597872
Swap:      4095996          4    4095992
success.
/usr/lib/pm-utils/sleep.d/00powersave hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/01grub hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/49bluetooth hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/55NetworkManager hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/56atd hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/56dhclient hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/75modules hibernate hibernate:FATAL: Module snd_hda_intel is in use.
/usr/lib/pm-utils/functions: line 89: log: command not found
success.
/usr/lib/pm-utils/sleep.d/90clock hibernate hibernate:not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/95led hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/95packagekit hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/98video-quirk-db-handler hibernate hibernate:success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook hibernate hibernate:saving level 128 for device sda
success.
/usr/lib/pm-utils/sleep.d/99video hibernate hibernate:success.
Wed Nov  3 12:15:21 IST 2010: performing hibernate
Wed Nov  3 22:59:03 IST 2010: Awake.
Wed Nov  3 22:59:03 IST 2010: Running hooks for thaw
/usr/lib/pm-utils/sleep.d/99video thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook thaw hibernate:restoring level 128 for device sda

/dev/sda:
 setting Advanced Power Management level to 0x80 (128)
 APM_level	= 128
success.
/usr/lib/pm-utils/sleep.d/98video-quirk-db-handler thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/95packagekit thaw hibernate:method return sender=:1.120 -> dest=:1.119 reply_serial=2
success.
/usr/lib/pm-utils/sleep.d/95led thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/94cpufreq thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/90clock thaw hibernate:not applicable.
/usr/lib/pm-utils/sleep.d/75modules thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/56dhclient thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/56atd thaw hibernate:Stopping atd: [  OK  ]
[  OK  ] atd: [  OK  ]
success.
/usr/lib/pm-utils/sleep.d/55NetworkManager thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/49bluetooth thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/01grub thaw hibernate:not applicable.
/usr/lib/pm-utils/sleep.d/00powersave thaw hibernate:success.
/usr/lib/pm-utils/sleep.d/00logging thaw hibernate:success.
Wed Nov  3 22:59:07 IST 2010: Finished.
Comment 5 Amir 2010-11-06 00:41:42 EDT
I uninstalled pulseaudio and now my audio is working after resume.
Comment 6 Daniel 2010-11-08 03:52:30 EST
The name for this bug report is misleading; the major issue caused by this bug isn't the lack of audio, it's the lack of the ability to shutdown through the GUI, play video, use 3D graphics at a reasonable frame rate, or consistently suspend another time.

I doubt that audio subsystem is at fault for this bug since after resuming the shutdown dialog box will still appear, it will just be lacking any buttons besides Cancel (instead of the usual Suspend, Hibernate, Restart, Cancel, Shutdown). It also fails to explain the slow graphics.  I suspect that the issue lies in the ACPI subsystem or the graphics subsystem.

Amir's suggestion did not work for me.

Relevant Hardware Information:

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Dell Studio 1555 laptop

Hope this helps,
Daniel
Comment 7 Scott Dowdle 2010-11-08 08:08:04 EST
Please realize that some of those symptoms are GNOME specific and since I don't use GNOME, I didn't experience those.  Video players can get cranky and play slowly when the sound device is not co-operating. In KDE all of the shutdown, restart buttons are there... and they try to work but I thought they might be blocking on the sound playback that the default theme has associated with them.  I might be wrong on that.  I do know that halt and shutdown -r now work just fine for me... or at least they did last time I tried.

I don't know if the sound issue is the root issue or just a symptom of additional problems.
Comment 8 Daniel 2010-11-08 09:52:58 EST
To test if the sound was the root issue, I killed pulseaudio with the command pulseaudio --kill and removed the sound driver module as root with modprobe -r snd-hda-intel.  The problems are still present after suspending and resuming.
Comment 9 Ekrem Öner 2010-11-12 16:51:01 EST
Hi All;
I have... 

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 04)

and same issue occurs and can reproduced when notebook wake up from hibernate or suspend mode.
Comment 10 Julian Yap 2010-11-14 02:38:58 EST
Yep, I have this same issue.

Reproduced after a clean reboot (sound works), hibernate, restore from hibernate (no sound).

$ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

$ cat /var/log/pm-suspend.log 
Initial commandline parameters: 
Sat Nov 13 10:00:19 HST 2010: Running hooks for hibernate.
/usr/lib64/pm-utils/sleep.d/00logging hibernate hibernate:Linux je6400.me.com 2.6.35.6-48.fc14.x86_64 #1 SMP Fri Oct 22 15:36:08 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Module                  Size  Used by
fuse                   61363  3 
rfcomm                 67220  8 
sco                    17180  2 
bnep                   15390  2 
l2cap                  51240  16 rfcomm,bnep
cpufreq_ondemand        9278  2 
acpi_cpufreq            7329  1 
freq_table              3955  2 cpufreq_ondemand,acpi_cpufreq
mperf                   1481  1 acpi_cpufreq
ip6t_REJECT             4279  2 
nf_conntrack_ipv6      18078  2 
ip6table_filter         1687  1 
ip6_tables             17481  1 ip6table_filter
ipv6                  286249  23 ip6t_REJECT,nf_conntrack_ipv6
btusb                  15482  3 
bluetooth              89276  11 rfcomm,sco,bnep,l2cap,btusb
uinput                  7368  0 
snd_hda_codec_idt      55579  1 
arc4                    1449  2 
ecb                     2119  2 
snd_hda_intel          24399  2 
snd_hda_codec          86743  2 snd_hda_codec_idt,snd_hda_intel
snd_hwdep               6392  1 snd_hda_codec
snd_seq                53791  0 
snd_seq_device          6191  1 snd_seq
snd_pcm                80190  2 snd_hda_intel,snd_hda_codec
dell_wmi                3323  0 
dell_laptop             6477  0 
microcode              18548  0 
dcdbas                  8524  1 dell_laptop
sierra                 20606  0 
iwlagn                208939  0 
iwlcore               195683  1 iwlagn
option                 15733  0 
mac80211              228732  2 iwlagn,iwlcore
uvcvideo               55489  0 
usb_wwan               10270  1 option
snd_timer              19892  2 snd_seq,snd_pcm
cfg80211              134709  3 iwlagn,iwlcore,mac80211
usbserial              33769  3 sierra,option,usb_wwan
wmi                     8138  1 dell_wmi
videodev               41889  1 uvcvideo
v4l1_compat            12970  2 uvcvideo,videodev
v4l2_compat_ioctl32     9853  1 videodev
joydev                  9737  0 
rfkill                 17622  5 bluetooth,dell_laptop,cfg80211
iTCO_wdt               11256  0 
i2c_i801               11088  0 
iTCO_vendor_support     2610  1 iTCO_wdt
snd                    63968  12 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               6576  1 snd
e1000e                188111  0 
snd_page_alloc          7559  2 snd_hda_intel,snd_pcm
sdhci_pci               7871  0 
sdhci                  18464  1 sdhci_pci
firewire_ohci          21170  0 
mmc_core               64113  1 sdhci
yenta_socket           25186  0 
firewire_core          45817  1 firewire_ohci
crc_itu_t               1563  1 firewire_core
nouveau               410336  2 
ttm                    55006  1 nouveau
drm_kms_helper         25743  1 nouveau
drm                   177972  4 nouveau,ttm,drm_kms_helper
i2c_algo_bit            5205  1 nouveau
video                  21637  1 nouveau
output                  2253  1 video
i2c_core               26900  6 videodev,i2c_i801,nouveau,drm_kms_helper,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:       4111540     752776    3358764          0      26344     236856
-/+ buffers/cache:     489576    3621964
Swap:      4194300          0    4194300
success.
/usr/lib64/pm-utils/sleep.d/00powersave hibernate hibernate:success.
/usr/lib64/pm-utils/sleep.d/01grub hibernate hibernate:success.
/usr/lib64/pm-utils/sleep.d/49bluetooth hibernate hibernate:not applicable.
/usr/lib64/pm-utils/sleep.d/55NetworkManager hibernate hibernate:success.
/usr/lib64/pm-utils/sleep.d/56atd hibernate hibernate:success.
/usr/lib64/pm-utils/sleep.d/56dhclient hibernate hibernate:success.
/usr/lib64/pm-utils/sleep.d/75modules hibernate hibernate:not applicable.
/usr/lib64/pm-utils/sleep.d/90clock hibernate hibernate:not applicable.
/usr/lib64/pm-utils/sleep.d/94cpufreq hibernate hibernate:success.
/usr/lib64/pm-utils/sleep.d/95led hibernate hibernate:not applicable.
/usr/lib64/pm-utils/sleep.d/95packagekit hibernate hibernate:success.
/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler hibernate hibernate:success.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook hibernate hibernate:Advanced Power Management not supported by device sda.
success.
/usr/lib64/pm-utils/sleep.d/99video hibernate hibernate:success.
Sat Nov 13 10:00:19 HST 2010: performing hibernate
Sat Nov 13 19:09:21 HST 2010: Awake.
Sat Nov 13 19:09:21 HST 2010: Running hooks for thaw
/usr/lib64/pm-utils/sleep.d/99video thaw hibernate:success.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook thaw hibernate:success.
/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler thaw hibernate:success.
/usr/lib64/pm-utils/sleep.d/95packagekit thaw hibernate:method return sender=:1.73 -> dest=:1.72 reply_serial=2
success.
/usr/lib64/pm-utils/sleep.d/95led thaw hibernate:not applicable.
/usr/lib64/pm-utils/sleep.d/94cpufreq thaw hibernate:success.
/usr/lib64/pm-utils/sleep.d/90clock thaw hibernate:not applicable.
/usr/lib64/pm-utils/sleep.d/75modules thaw hibernate:success.
/usr/lib64/pm-utils/sleep.d/56dhclient thaw hibernate:success.
/usr/lib64/pm-utils/sleep.d/56atd thaw hibernate:Stopping atd: [  OK  ]
[  OK  ] atd: [  OK  ]
success.
/usr/lib64/pm-utils/sleep.d/55NetworkManager thaw hibernate:success.
/usr/lib64/pm-utils/sleep.d/49bluetooth thaw hibernate:not applicable.
/usr/lib64/pm-utils/sleep.d/01grub thaw hibernate:not applicable.
/usr/lib64/pm-utils/sleep.d/00powersave thaw hibernate:success.
/usr/lib64/pm-utils/sleep.d/00logging thaw hibernate:success.
Sat Nov 13 19:09:22 HST 2010: Finished.
Comment 11 Tomas Östlund 2010-11-15 16:13:25 EST
I have the same issue on a Dell Inspiron 1525 laptop. No sound after waking up from suspend. I'm using the standard Gnome desktop with pulseaudio. I had no problem with either fedora 12 or 13.

$ lspci | grep -i audio

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Initial commandline parameters: 
Sun Nov 14 22:14:15 CET 2010: Running hooks for suspend.
/usr/lib/pm-utils/sleep.d/00logging suspend suspend:Linux tomas-laptop 2.6.35.6-48.fc14.i686 #1 SMP Fri Oct 22 15:34:36 UTC 2010 i686 i686 i386 GNU/Linux
Module                  Size  Used by
vfat                    6758  0 
fat                    38062  1 vfat
usb_storage            35519  0 
fuse                   51432  3 
cpufreq_ondemand        7262  2 
acpi_cpufreq            6277  1 
mperf                   1141  1 acpi_cpufreq
ip6t_REJECT             3470  2 
nf_conntrack_ipv6      14441  7 
ip6table_filter         1207  1 
ip6_tables              9929  1 ip6table_filter
ipv6                  229420  22 ip6t_REJECT,nf_conntrack_ipv6
uinput                  5228  0 
snd_hda_codec_idt      45639  1 
snd_hda_codec_intelhdmi     8713  1 
snd_hda_intel          20083  1 
snd_hda_codec          71701  3 snd_hda_codec_idt,snd_hda_codec_intelhdmi,snd_hda_intel
snd_hwdep               4795  1 snd_hda_codec
snd_seq                43447  0 
arc4                    1085  2 
snd_seq_device          5056  1 snd_seq
ecb                     1595  2 
dell_wmi                2763  0 
snd_pcm                61769  2 snd_hda_intel,snd_hda_codec
iwl3945                97265  0 
r852                    8298  0 
sm_common               3104  1 r852
iwlcore               160590  1 iwl3945
nand                   28994  2 r852,sm_common
nand_ids                2730  1 nand
snd_timer              15435  2 snd_seq,snd_pcm
mac80211              188441  2 iwl3945,iwlcore
nand_ecc                3460  1 nand
uvcvideo               48373  0 
mtd                    15282  2 sm_common,nand
snd                    47357  11 snd_hda_codec_idt,snd_hda_codec_intelhdmi,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
cfg80211              110779  3 iwl3945,iwlcore,mac80211
dell_laptop             5433  0 
videodev               34991  1 uvcvideo
soundcore               5088  1 snd
v4l1_compat            11382  2 uvcvideo,videodev
wmi                     6667  1 dell_wmi
snd_page_alloc          6180  2 snd_hda_intel,snd_pcm
rfkill                 13652  3 cfg80211,dell_laptop
serio_raw               3589  0 
iTCO_wdt                8960  0 
joydev                  7270  0 
sky2                   37597  0 
iTCO_vendor_support     2070  1 iTCO_wdt
i2c_i801                9016  0 
microcode              11139  0 
dcdbas                  6608  1 dell_laptop
aes_i586                7138  2 
aes_generic            26460  1 aes_i586
xts                     1948  1 
gf128mul                6506  1 xts
dm_crypt                9775  1 
sdhci_pci               6246  0 
sdhci                  15685  1 sdhci_pci
firewire_ohci          17585  0 
firewire_core          37873  1 firewire_ohci
mmc_core               53138  1 sdhci
crc_itu_t               1235  1 firewire_core
i915                  241359  2 
drm_kms_helper         22088  1 i915
drm                   139250  3 i915,drm_kms_helper
i2c_algo_bit            4197  1 i915
i2c_core               21328  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  17730  1 i915
output                  1625  1 video
             total       used       free     shared    buffers     cached
Mem:       2051604    1627432     424172          0      23604    1313260
-/+ buffers/cache:     290568    1761036
Swap:      4128764         52    4128712
success.
/usr/lib/pm-utils/sleep.d/00powersave suspend suspend:success.
/usr/lib/pm-utils/sleep.d/01grub suspend suspend:not applicable.
/usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend:not applicable.
/usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend:success.
/usr/lib/pm-utils/sleep.d/56atd suspend suspend:success.
/usr/lib/pm-utils/sleep.d/56dhclient suspend suspend:success.
/usr/lib/pm-utils/sleep.d/75modules suspend suspend:not applicable.
/usr/lib/pm-utils/sleep.d/90clock suspend suspend:not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend:success.
/usr/lib/pm-utils/sleep.d/95led suspend suspend:not applicable.
/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend:success.
/usr/lib/pm-utils/sleep.d/98video-quirk-db-handler suspend suspend:success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend:saving level 128 for device sda
success.
/usr/lib/pm-utils/sleep.d/99video suspend suspend:kernel.acpi_video_flags = 0
success.
Sun Nov 14 22:14:16 CET 2010: performing suspend
Mon Nov 15 20:18:14 CET 2010: Awake.
Mon Nov 15 20:18:14 CET 2010: Running hooks for resume
/usr/lib/pm-utils/sleep.d/99video resume suspend:success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook resume suspend:restoring level 128 for device sda

/dev/sda:
 setting Advanced Power Management level to 0x80 (128)
 APM_level	= 128
success.
/usr/lib/pm-utils/sleep.d/98video-quirk-db-handler resume suspend:success.
/usr/lib/pm-utils/sleep.d/95packagekit resume suspend:method return sender=:1.245 -> dest=:1.249 reply_serial=2
success.
/usr/lib/pm-utils/sleep.d/95led resume suspend:not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq resume suspend:success.
/usr/lib/pm-utils/sleep.d/90clock resume suspend:not applicable.
/usr/lib/pm-utils/sleep.d/75modules resume suspend:success.
/usr/lib/pm-utils/sleep.d/56dhclient resume suspend:success.
/usr/lib/pm-utils/sleep.d/56atd resume suspend:Stopping atd: [  OK  ]
[  OK  ] atd: [  OK  ]
success.
/usr/lib/pm-utils/sleep.d/55NetworkManager resume suspend:success.
/usr/lib/pm-utils/sleep.d/49bluetooth resume suspend:not applicable.
/usr/lib/pm-utils/sleep.d/01grub resume suspend:not applicable.
/usr/lib/pm-utils/sleep.d/00powersave resume suspend:success.
/usr/lib/pm-utils/sleep.d/00logging resume suspend:success.
Mon Nov 15 20:18:15 CET 2010: Finished.
Comment 12 Joseph Wilhelm 2010-11-18 11:06:44 EST
Is this perhaps a duplicate of #384271?

I was experiencing a similar symptoms with the following hardware:
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)

Then, according to the aforementioned bug, I checked "getfacl /dev/snd/pcmC0D0c" and saw that there was no ACL for my logged in user. After switching to another virtual terminal and switching back, however, the ACLs were all restored, and everything worked fine.
Comment 13 Yochai Gal 2010-11-19 03:33:22 EST
I have this issue on my T61 running FC14, 2.6.35.6-48.fc14.i686 kernel.  My ACL list lists my user correctly:

# file: dev/snd/pcmC0D0c
# owner: root
# group: audio
user::rw-
user:yochai:rw-
group::rw-
mask::rw-
other::---


After switching TTYs or rebooting I get sound back. Restarting pulseaudio is not necessary.  When I run pulseaudio with extra verbosity I get:

I: (alsa-lib)conf.c: Evaluate error: No such file or directory
I: (alsa-lib)pcm.c: Unknown PCM front:29
I: alsa-util.c: Error opening PCM device front:29: No such file or directory
D: alsa-util.c: Trying hw:29 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open '/dev/snd/pcmC29D0c' failed (-2)
I: alsa-util.c: Error opening PCM device hw:29: No such file or directory
D: alsa-mixer.c: Looking at profile input:iec958-stereo
D: alsa-mixer.c: Checking for recording on Digital Stereo (IEC958) (iec958-stereo)


and then:

E: module.c: Failed to load  module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" tsched=yes ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.
I: module-udev-detect.c: Card /devices/platform/thinkpad_acpi/sound/card29 (alsa_card.platform-thinkpad_acpi) failed to load module.


D: module-udev-detect.c: /dev/snd/controlC0 is accessible: yes


The last line being after I switched TTYs.  
Any ideas? It's strange that this problem existed in previous releases for some (the ACL problem being the primary cause, it seems).

thanks
Comment 14 Pierre Sanon 2010-11-19 10:19:30 EST
I have the same issue and it definitely has to do with the ACLs.

getfacl /dev/snd/pcmC0D1c

Before a suspend

# file: dev/snd/pcmC0D1c
# owner: root
# group: audio
user::rw-
user:pjsanon:rw-
group::rw-
mask::rw-
other::---

After suspend and resume

# file: dev/snd/pcmC0D1c
# owner: root
# group: audio
user::rw-
group::rw-
mask::rw-
other::---

Of course this does not just affect pulseaudio, but potential many other components.
Need to certainly to be escalated.
Comment 15 Pierre Sanon 2010-11-19 10:35:02 EST
In my case logging out and in, restores the ACL to what it should be.
Looking at the other bugs like 608414, it could be that the dynamic updating of the ACL is not working properly on resume.
Comment 16 Julian Yap 2010-11-20 05:33:02 EST
Confirmed that switching TTY's solves this issue for me.

However I am unable to Hibernate my PC again.  No option is displayed in the Shut Down menu.  (This may be a separate bug).
Comment 17 Scott Dowdle 2010-11-20 15:16:58 EST
Seems not to be a problem for me anymore... at least the last couple of times I tried.  Did they fix the ACL issue?
Comment 18 Julian Yap 2010-11-21 23:49:04 EST
Yeah, this doesn't seem to be an issue for me after the latest update.

OK for everyone else?  Anyone know what was fixed?..  Or maybe it's still an issue.

Here's what was recently updated:
Nov 20 20:54:35 Updated: tzdata-2010o-1.fc14.noarch
Nov 20 20:54:43 Updated: glibc-common-2.12.90-19.x86_64
Nov 20 20:54:45 Updated: glibc-2.12.90-19.x86_64
Nov 20 20:54:46 Updated: freetype-2.4.2-4.fc14.x86_64
Nov 20 20:54:46 Updated: openssl-1.0.0b-1.fc14.x86_64
Nov 20 20:54:47 Updated: gnome-desktop-2.32.0-2.fc14.x86_64
Nov 20 20:54:47 Updated: libudev-161-6.fc14.x86_64
Nov 20 20:54:47 Updated: udev-161-6.fc14.x86_64
Nov 20 20:54:48 Updated: 1:cups-libs-1.4.4-11.fc14.x86_64
Nov 20 20:54:48 Updated: system-config-printer-libs-1.2.5-6.fc14.x86_64
Nov 20 20:54:49 Updated: sane-backends-libs-1.0.21-4.fc14.x86_64
Nov 20 20:54:49 Updated: sane-backends-1.0.21-4.fc14.x86_64
Nov 20 20:54:50 Updated: nautilus-extensions-2.32.1-1.fc14.x86_64
Nov 20 20:54:52 Updated: nautilus-2.32.1-1.fc14.x86_64
Nov 20 20:54:53 Updated: 32:bind-libs-9.7.2-3.P2.fc14.x86_64
Nov 20 20:54:53 Updated: sssd-client-1.4.1-1.fc14.x86_64
Nov 20 20:54:53 Updated: info-4.13a-12.fc14.x86_64
Nov 20 20:54:53 Updated: ConsoleKit-libs-0.4.2-3.fc14.x86_64
Nov 20 20:54:53 Updated: ConsoleKit-0.4.2-3.fc14.x86_64
Nov 20 20:54:53 Updated: thai-scalable-fonts-common-0.4.14-1.fc14.noarch
Nov 20 20:54:54 Updated: ConsoleKit-x11-0.4.2-3.fc14.x86_64
Nov 20 20:54:54 Updated: jwhois-4.0-23.fc14.x86_64
Nov 20 20:54:55 Updated: sssd-1.4.1-1.fc14.x86_64
Nov 20 20:54:55 Updated: 32:bind-utils-9.7.2-3.P2.fc14.x86_64
Nov 20 20:54:56 Updated: sane-backends-libs-gphoto2-1.0.21-4.fc14.x86_64
Nov 20 20:54:56 Updated: system-config-printer-udev-1.2.5-6.fc14.x86_64
Nov 20 20:54:57 Updated: 1:cups-1.4.4-11.fc14.x86_64
Nov 20 20:54:57 Updated: xorg-x11-drv-wacom-0.10.8-2.fc14.x86_64
Nov 20 20:54:57 Updated: libgudev1-161-6.fc14.x86_64
Nov 20 20:54:58 Updated: gnome-settings-daemon-2.32.1-1.fc14.x86_64
Nov 20 20:55:02 Updated: 1:gnome-applets-2.32.0-2.fc14.x86_64
Nov 20 20:55:02 Updated: seed-2.31.91-2.fc14.x86_64
Nov 20 20:55:03 Updated: mousetweaks-2.32.0-1.fc14.x86_64
Nov 20 20:55:03 Updated: libisofs-0.6.38-1.fc14.x86_64
Nov 20 20:55:03 Updated: hunspell-1.2.12-3.fc14.x86_64
Nov 20 20:55:03 Updated: iproute-2.6.35-6.fc14.x86_64
Nov 20 20:55:05 Updated: thai-scalable-waree-fonts-0.4.14-1.fc14.noarch
Nov 20 20:55:05 Updated: system-config-printer-1.2.5-6.fc14.x86_64
Nov 20 20:55:05 Updated: b43-openfwwf-5.2-5.fc14.noarch
Nov 20 20:55:05 Updated: crontabs-1.11-1.20101115git.fc14.noarch
Comment 19 Yochai Gal 2010-11-22 00:41:57 EST
It seems fixed for me too!
Comment 20 Joseph Wilhelm 2010-11-22 04:39:11 EST
It looks like it may have been solved by: https://bugzilla.redhat.com/show_bug.cgi?id=643367

Perhaps both this and the other bug I found may have been related to ConsoleKit. Anyhow, the symptoms described are again similar.
Comment 21 Jose Simonelli 2011-08-02 21:23:56 EDT
Man, this was one of those bugs that was getting on my nerves. I found it unusual to have to reboot and happened to me on this kernel 2.6.35.6-48.fc14.x86_64 as well as on 2.6.35.13-91.fc14.x86_64. I began by doing diff's of my lsmod entries on after reboot, and after the sound stopped working and couldn't find any differences related to sound modules wether they were unloaded, etc.  It seemed to me that it was either when the laptop had the screensaver running for awhile and went to sleep mode, or running some VM for awhile.  After awhile I figured it was the sleep mode.  I dug around the web for awhile and this may not be the best fix but it works for me as a work-around.  Currently I just added it to my scripts directory and then created an alias in my .bashrc file in case I ever need to force the fix after the laptop comes back from hibernation or screensaver.   Hoping the actual bug will be fixed but for now this is my work-around. :)

------ CODE --------
sudo rmmod -w snd_hda_intel &
sleep .5
pulseaudio -k
sudo modprobe snd_hda_intel
------ CODE --------

# to send rmmod to wait for module to be released and go to background to wait
rmmod -w snd_hda_intel &

# (optional) I threw a quick sleep in there just in case. Its optional as it works without it, but just in case the process hasnt rmmod-ed and waited in background just yet. Still faster than a reboot :)
sleep .5

# Kill pulseaudio as user, and the rmmod command above should have killed the module that it was waiting for
pulseaudio -k

# Reinsert snd_hda_intel module which was for my card
sudo modprobe snd_hda_intel

KDE message pops up and I hear the notification sound which was instant gratification and the pop up notifies me that "KDE detected that one or more internal sound devices were removed.
Do you want KDE to permanently forget about these devices?"

I checked the don't notify me again, and clicked on no. now it doesnt pop up when I run the fixsound alias anymore, but still fixes my sound :)

Hope this helps
Comment 22 Scott Dowdle 2012-04-10 10:57:13 EDT
No longer an issue for me... F14 is EOL... anyway.